pycocuma(1)

NAME

pycocuma - Pythonic Contact and Customer Management

SYNTAX

pycocuma [options] [connection-string]

DESCRIPTION

PyCoCuMa (Pythonic Contact and Customer Management) provides a personal information system for addresses, telephone numbers and other data associated with personal contacts (also supports photographic pictures).

PyCoCuMa is purely written in Python with a Tk graphical interface. PyCoCuMa is based on an XML-RPC client-server architecture. The server stores its data in compatible vCard (ver. 3.0) files (*.vcf) which can be read by all modern address programs (Evolution, KAddressbook, Outlook, GnomeCard, etc).

This manpage documents the PyCoCuMa client (which can also run standalone).

OPTIONS

connection-string
    addressbook filename / server url

-h --help
    show help

-c --config
    location of configuration file (default: ~/.pycocuma)

--noconf
    do not save configuration / preferences

-t --type
    connection type: xmlrpc or file (default: file)

--finder
    open QuickFinder

--import
    import from file/stdin (-) (e.g. vcard:/tmp/John.vcf)

--export
    export to file or stdout (e.g. latex:-)

EXAMPLES

pycocuma --type=xmlrpc http://localhost:8810

pycocuma --config=/tmp/pycocumatest.conf --type=file ./addressbook.vcf

AUTHORS

PyCoCuMa was written by Henning Jacobs.

This manpage was written by Christoph Berg for the Debian GNU/Linux distribution (but may be used by others).

SEE ALSO

PyCoCuMa home page
    http://www.srcco.de/pycocuma/

pycocuma-server(1)